@charset "UTF-8";

@font-face {
    font-family: "Oswald ExtraLight";
    src: url("../fonts/Oswald/Oswald-ExtraLight.ttf") format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "Raleway";
    src: url("../fonts/Raleway/Raleway-Regular.ttf") format("truetype");
    font-display: swap;
}

@font-face {
    font-family: "Raleway Light";
    src: url("../fonts/Raleway/Raleway-Light.ttf") format("truetype");
    font-display: swap;
}

/* ----- ANFANG: ALLGEMEINE STYLES ----- */

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

li {
    list-style-type: none;
}

a {
    text-decoration: none;
    outline: none;
    transition: color 0.3s ease-in-out;
}

body {
    font-family: "Oswald ExtraLight", "SansSerif", sans-serif;
    color: #000000;
    -webkit-text-size-adjust: none;
}

h1,
h2 {
    font-family: "Oswald ExtraLight", "SansSerif", sans-serif;
    font-weight: normal;
}

a:link,
a:visited {
    color: #FF030B;
}

a:focus,
a:hover,
a:active {
    color: #000000;
}

/* ----- ENDE: ALLGEMEINE STYLES ----- */

/* ----- ANFANG: HEADER UND FOOTER / TEXT ----- */

.header-footer-item a:link,
.header-footer-item a:visited {
    color: #000000;
}

.header-footer-item a:focus,
.header-footer-item a:hover,
.header-footer-item a:active {
    color: #FF030B;
}

.header {
    position: absolute;
    top: 0;
    margin-top: 5vh;
    right: 0;
}

.header-footer-item {
    font-family: "Raleway Light", "SansSerif", sans-serif;
    font-size: 1em;
}

.header-item {
    display: block;
    list-style: none;
    right: 10vw;
}

.header a.header-item:first-of-type {
    margin-right: 9em;
}

.header a.header-item:nth-of-type(2) {
    margin-right: 6em;
}

.header a.header-item:nth-of-type(3) {
    margin-right: 3em;
}

a#header-item-geld-zurueck-versprechen:link,
a#header-item-geld-zurueck-versprechen:visited {
    border: 1px solid #000000;
    transition: color 0.3s ease-in-out, border 0.3s ease-in-out;
}

a#header-item-geld-zurueck-versprechen:focus,
a#header-item-geld-zurueck-versprechen:hover,
a#header-item-geld-zurueck-versprechen:active {
    border: 1px solid #FF030B;
    transition: color 0.3s ease-in-out, border 0.3s ease-in-out;
}

.footer-item {
    margin-left: 3em;
    float: left;
}

.logo {
    width: 90px;
    height: 90px;
    margin-top: 5vh;
    margin-left: 5vw;
}

.text {
    font-size: 2.5em;
    line-height: 1em;
    position: relative;
    z-index: 40;
}

@media (min-width: 500px) {

    .header-item {
        right: 8.5vw;
    }

    .header a.header-item:first-of-type {
        margin-right: 10.5em;
    }

    .header a.header-item:nth-of-type(2) {
        margin-right: 7em;
    }

    .header a.header-item:nth-of-type(3) {
        margin-right: 3.5em;
    }
}

@media (min-width: 700px) {

    .header-item {
        right: 10vw;
    }
}

@media (min-width: 800px) {

    .header {
        margin-top: calc(5vh + 2.3em);
    }

    .header-item {
        display: inline-block;
        position: relative;
        transform: none;
        margin-left: 3em;
        right: 5vw;
    }

    .header a.header-item:first-of-type {
        margin-right: 0;
    }

    .header a.header-item:nth-of-type(2) {
        margin-right: 0;
    }

    .header a.header-item:nth-of-type(3) {
        margin-right: 0;
    }

    #header-item-geld-zurueck-versprechen {
        position: absolute;
        margin-top: calc(-5vh - 2.3em);
        padding: 0.5rem 1.5rem 0.5rem 1.5rem;
        transform: rotateZ(-90deg);
        transform-origin: right top;
    }

    .logo {
        width: 100px;
        height: 100px;
    }
}

@media (min-width: 1000px) {

    .header-footer-item {
        font-size: 1.1em;
    }

    .text {
        font-size: 5em;
    }
}

.footer {
    position: absolute;
    right: 0;
    margin-right: 7.5vw;
    padding-bottom: 10vh;
}

@media (min-width: 700px) {

    .footer {
        margin-right: 10vw;
    }
}

/* ----- ENDE: HEADER UND FOOTER / TEXT ----- */

#start {
    font-family: "Raleway", "SansSerif", sans-serif;
    position: absolute;
    z-index: 50;
    margin-left: 10vw;
    font-size: 1.5em;
    margin-top: -5vh;
    transform: rotateZ(-90deg);
    transform-origin: left;
}

h1 {
    font-size: 2.5em;
    position: relative;
    text-align: left;
    z-index: 40;
    margin-left: calc(10vw - 0.2em);
    margin-top: 10vh;
}

#start-bild  {
    height: 60vh;
    width: calc(70vw + 0.4em);
    margin-left: 20vw;
    background-size: cover;
    background-position: center center;
    position: relative;
    z-index: 10;
    margin-top: 7.5vh;
    margin-bottom: 10vh;
}

.all-wrapper {
    margin-left: calc(10vw - 0.6em);
    margin-right: 5vw;
    margin-top: 5vh;
    margin-bottom: 10vh;
    text-align: left;
}

.all-wrapper h2 {
    font-family: "Oswald ExtraLight", "SansSerif", sans-serif;
    font-weight: normal;
    font-size: 1.7em;
    margin-top: 2.5em;
    margin-bottom: 1em;
}

@media (min-width: 400px) {

    .all-wrapper {
        margin-right: 10vw;
    }

    .all-wrapper h2 {
        font-size: 2em;
    }
}

@media (min-width: 600px) {

    .all-wrapper {
        margin-left: 20vw;
        margin-right: 20vw;
    }

    h1 {
        margin-left: 20vw;
    }
}

@media (min-width: 800px) {

    #start-bild  {
        width: 75vw;
    }
}

    @media (min-width: 1000px) and (orientation: landscape) {

    h1 {
        font-size: 5em;
    }

    #start-bild {
        height: 50vh;
    }
}

@media (min-height: 1000px) and (orientation: portrait) {

    #start-bild {
        height: 40vh;
    }
}